From: "Matt Turner" <mattst88@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: net-libs/libnma/
Date: Mon, 9 Jan 2023 15:45:10 +0000 (UTC) [thread overview]
Message-ID: <1673278924.fdb3ea53d84defedda1209abcfff78ecbec20f5b.mattst88@gentoo> (raw)
commit: fdb3ea53d84defedda1209abcfff78ecbec20f5b
Author: Guillermo Joandet <gjoandet <AT> gmail <DOT> com>
AuthorDate: Mon Jan 9 14:58:29 2023 +0000
Commit: Matt Turner <mattst88 <AT> gentoo <DOT> org>
CommitDate: Mon Jan 9 15:42:04 2023 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=fdb3ea53
net-libs/libnma: Version bump to 1.10.6
Signed-off-by: Guillermo Joandet <gjoandet <AT> gmail.com>
Closes: https://github.com/gentoo/gentoo/pull/29035
Signed-off-by: Matt Turner <mattst88 <AT> gentoo.org>
net-libs/libnma/Manifest | 1 +
net-libs/libnma/libnma-1.10.6.ebuild | 75 ++++++++++++++++++++++++++++++++++++
2 files changed, 76 insertions(+)
diff --git a/net-libs/libnma/Manifest b/net-libs/libnma/Manifest
index 9099ff20fb61..94847542f63c 100644
--- a/net-libs/libnma/Manifest
+++ b/net-libs/libnma/Manifest
@@ -1 +1,2 @@
DIST libnma-1.10.4.tar.xz 1351932 BLAKE2B 0178407d04fed680b260ea7e4615f0d939483504209b4bc721e2a4fe49ecbf49d9ffde0476b4352973cda9de4f088ac50d557c12f67d970f21031c1741f692e3 SHA512 4fe0d6b0e5b3c1bd7654e03dce747ee390de76d6641eb317fecb901ed6768bf48785e4a99e6fc8f12864066d06a64e308a8dbb2081a2d57e3f1509ca712deccc
+DIST libnma-1.10.6.tar.xz 702820 BLAKE2B 8f5b62f9522c8e7f16d6847d0e297d32fa8f62c9be2db68af596765dcfaa93c4eb9c3d3e03098ebd024d7f6ad788dd82eedc7b4841738d4278f64e3a1053d2d6 SHA512 4801db35a8d510c651fc91da4f394a665a4ba5c35fbefe0496363c404b49d5f4e103f49084220ee58b995684d2ac93643320b7d1777ebeea555e7657768a1f6a
diff --git a/net-libs/libnma/libnma-1.10.6.ebuild b/net-libs/libnma/libnma-1.10.6.ebuild
new file mode 100644
index 000000000000..e5e8df6c93a9
--- /dev/null
+++ b/net-libs/libnma/libnma-1.10.6.ebuild
@@ -0,0 +1,75 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit gnome.org gnome2-utils meson xdg vala
+
+DESCRIPTION="NetworkManager GUI library"
+HOMEPAGE="https://wiki.gnome.org/Projects/NetworkManager"
+
+LICENSE="GPL-2+"
+SLOT="0"
+# pkcs11 default enabled as it's a small dep often already present by libnma users, and it was default enabled as IUSE=+gcr in nm-applet before
+IUSE="gtk-doc +introspection +pkcs11 vala"
+REQUIRED_USE="vala? ( introspection )"
+KEYWORDS="~amd64 ~arm ~arm64 ~ia64 ~ppc ~ppc64 ~riscv ~sparc ~x86"
+
+DEPEND="
+ >=gui-libs/gtk-4.0:4
+ app-text/iso-codes
+ net-misc/mobile-broadband-provider-info
+ >=dev-libs/glib-2.38:2
+ >=x11-libs/gtk+-3.12:3[introspection?]
+ >=net-misc/networkmanager-1.7[introspection?]
+ pkcs11? ( >=app-crypt/gcr-4.0.0:4 )
+ introspection? ( >=dev-libs/gobject-introspection-1.56:= )
+"
+RDEPEND="${DEPEND}
+ !<gnome-extra/nm-applet-1.16.0" # gschema moved to here before nm-applet-1.16.0
+BDEPEND="
+ dev-libs/libxml2
+ >=sys-devel/gettext-0.19.8
+ virtual/pkgconfig
+ gtk-doc? ( dev-util/gtk-doc
+ app-text/docbook-xml-dtd:4.3 )
+ vala? ( $(vala_depend)
+ net-misc/networkmanager[vala]
+ )
+"
+
+src_prepare() {
+ default
+ use vala && vala_setup
+ xdg_environment_reset
+}
+
+src_configure() {
+ local emesonargs=(
+ -Dlibnma_gtk4=true
+ $(meson_use pkcs11 gcr)
+ -Dmore_asserts=0
+ -Diso_codes=true
+ -Dmobile_broadband_provider_info=true
+ -Dld_gc=false
+ $(meson_use gtk-doc gtk_doc)
+ $(meson_use introspection)
+ $(meson_use vala vapi)
+ )
+ meson_src_configure
+}
+
+src_install() {
+ meson_src_install
+ rm "${D}/usr/share/glib-2.0/schemas/org.gnome.nm-applet.gschema.xml" || die
+}
+
+pkg_postinst() {
+ xdg_pkg_postinst
+ gnome2_schemas_update
+}
+
+pkg_postrm() {
+ xdg_pkg_postrm
+ gnome2_schemas_update
+}
next reply other threads:[~2023-01-09 15:45 UTC|newest]
Thread overview: 48+ messages / expand[flat|nested] mbox.gz Atom feed top
2023-01-09 15:45 Matt Turner [this message]
-- strict thread matches above, loose matches on Subject: below --
2023-07-20 10:16 [gentoo-commits] repo/gentoo:master commit in: net-libs/libnma/ WANG Xuerui
2023-03-30 8:59 David Seifert
2023-02-17 8:23 Arthur Zamarin
2023-02-16 18:39 Arthur Zamarin
2023-02-16 18:39 Arthur Zamarin
2023-01-03 14:08 Matt Turner
2022-12-22 11:13 Arthur Zamarin
2022-12-17 6:45 Arthur Zamarin
2022-12-16 20:57 Arthur Zamarin
2022-12-04 14:50 Pacho Ramos
2022-12-04 2:41 Matt Turner
2022-11-10 15:41 Matt Turner
2022-11-05 9:58 Arthur Zamarin
2022-11-05 9:44 Arthur Zamarin
2022-10-31 14:28 Matt Turner
2022-10-06 16:38 Matt Turner
2022-10-01 17:16 Matt Turner
2022-07-21 2:04 Matt Turner
2022-07-21 0:13 Sam James
2022-07-18 23:41 Sam James
2022-07-18 17:44 Sam James
2022-06-15 18:31 Matt Turner
2022-05-31 18:04 Matt Turner
2022-05-31 9:24 Jakov Smolić
2022-05-28 5:05 Sam James
2022-05-15 3:10 Sam James
2022-05-10 4:06 Arthur Zamarin
2022-05-07 18:28 Arthur Zamarin
2022-04-18 20:48 Jakov Smolić
2022-04-08 21:21 Matt Turner
2022-03-25 20:54 Matt Turner
2022-03-09 15:39 Sam James
2022-03-09 12:49 Sam James
2022-01-24 22:43 Matt Turner
2022-01-19 17:30 Matt Turner
2021-11-06 4:09 Sam James
2021-11-06 3:58 Sam James
2021-10-04 1:25 Sam James
2021-10-04 1:24 Sam James
2021-08-27 15:19 Yixun Lan
2021-08-20 20:25 Matt Turner
2020-09-24 6:52 Agostino Sarubbo
2020-09-06 22:04 Sam James
2020-08-17 13:50 Agostino Sarubbo
2020-08-17 10:01 Agostino Sarubbo
2020-06-27 21:03 Mart Raudsepp
2020-04-19 15:37 Mart Raudsepp
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1673278924.fdb3ea53d84defedda1209abcfff78ecbec20f5b.mattst88@gentoo \
--to=mattst88@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox